Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class MemoFilter

    java.lang.Object
      com.compoze.domino.AbstractFilter
          com.compoze.domino.MemoFilter

All Implemented Interfaces:
  java.io.Serializable

public class MemoFilter
extends AbstractFilter
implements java.io.Serializable

This class represents a memo filter. A memo filter is used to search for memos. Memos types included in the search include:

- `DocumentType.MEMO`
- `DocumentType.TRACE_REPORT`
- `DocumentType.REPLY`
- `DocumentType.DELIVERY_REPORT`
- `DocumentType.RETURN_RECEIPT`
- `DocumentType.NONDELIVERY_REPORT`
- `DocumentType.RETURN_NONRECEIPT`

See Also:
  `Documents.serverGetMemos(int,int,PropertyKey[],SortProperty,MemoFilter)`, Serialized Form

Field Summary

Fields inherited from class com.compoze.domino.AbstractFilter
`m_filters, m_rules`

Constructor Summary
`MemoFilter()` Constructor.

Method Summary
`void` | `appendFilter(MemoFilter filter, boolean bOr)` Appends the specified filter to this filter.
`java.util.List` | `getFilters()` Gets a list of filters appended to this filter.
`protected com.compoze.domino.filter.IFilterRule` | `getFormRule()` Gets the form rule for this filter.
`void` | `removeFilter(MemoFilter filter)` Removes the specified filter from this filter.
`void` | `setFrom(java.lang.String sValue)` Sets the filtering by body.
`void` | `setMemoDate(java.util.Date givenDate)` Sets the filtering by memo date.
`void` | `setMemoDate(java.util.Date startDate, java.util.Date endDate)` Sets the filtering by memo date.
`void` | `setSubject(java.lang.String sValue)` Sets the filtering by subject.
`void` | `setSubject(java.lang.String sValue, boolean bExact)` Sets the filtering by subject.
`void` | `unsetFrom()` Unsets the filtering by from.
`void` | `unsetMemoDate()` Unsets the filtering by memo date.
`void` | `unsetSubject()` Unsets the filtering by subject.

Methods inherited from class com.compoze.domino.AbstractFilter
`getBaseRule, getFilterRule, getFilterRule, getOr, setBeginsStringRule, setDateRule, setNotRule, setOr, setRule, setRule, setRule, toRule, toString, unsetBeginsStringRule, unsetNotRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemoFilter

    public MemoFilter()

  Constructor.

Method Detail

### setFrom

    public void setFrom(java.lang.String sValue)

  Sets the filtering by body. The rule tests the body for the specified value.

  Parameters:
    `sValue` - the value to test

### unsetFrom

    public void unsetFrom()

  Unsets the filtering by from.

### setSubject

    public void setSubject(java.lang.String sValue)

  Sets the filtering by subject. The rule tests the subject for the specified value. The match is not exact by default.

  Parameters:
    `sValue` - the value to test
  See Also:
    `setSubject(String, boolean)`

### setSubject

    public void setSubject(java.lang.String sValue,
                           boolean bExact)

  Sets the filtering by subject.

  Parameters:
    `sValue` - the value to test
    `bExact` - `true` for an exact match of the string value; `false` to match as substring value

### unsetSubject

    public void unsetSubject()

  Unsets the filtering by subject.

### setMemoDate

    public void setMemoDate(java.util.Date givenDate)

  Sets the filtering by memo date. The memos with the memo date on the given date are returned.

  Parameters:
    `givenDate` - the given date

### setMemoDate

    public void setMemoDate(java.util.Date startDate,
                            java.util.Date endDate)

  Sets the filtering by memo date. The memos with the memo date between the specified range are returned.

  Parameters:
    `startDate` - the start date (inclusive)
    `endDate` - the end date (exclusive)

### unsetMemoDate

    public void unsetMemoDate()

  Unsets the filtering by memo date.

### appendFilter

    public void appendFilter(MemoFilter filter,
                             boolean bOr)

  Appends the specified filter to this filter.

  Parameters:
    `filter` - the filter to append
    `bOr` - `true` to append this filter with an 'or'; `false` to use 'and'

### removeFilter

    public void removeFilter(MemoFilter filter)

  Removes the specified filter from this filter.

  Parameters:
    `filter` - the filter to remove

### getFilters

    public java.util.List getFilters()

  Gets a list of filters appended to this filter.

  Returns:
    a list of `MemoFilter` objects (unmodifiable)

### getFormRule

    protected com.compoze.domino.filter.IFilterRule getFormRule()

  Description copied from class: `AbstractFilter`
  Gets the form rule for this filter.

  Specified by:
    `getFormRule` in class `AbstractFilter`
  Returns:
    the form rule

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.